This version does not support documents saved in the Xcode 8 format. Open this document with Xcode 8

11981人阅读 评论(15) 收藏 举报
分类:

刚发布完Xcode的8.0果断更新了,发现用起来非常容易闪退,关键是我编辑项目时默认使用Xcode8打开,导致我用Xcode7打开Xib是报错:

This version does not support documents saved in the Xcode 8 format. Open this document with Xcode 8.0 or later.

这里写图片描述

这下我就蒙B了,这不坑爹么,导致用Xcode8打开的Xib全部打不开,只能用编辑器将Xib里面的下面一句话删除掉才能打开:

<capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>

事情到这就告一段落了,还有一点用Xcode8beta版无法用instuments真机调试,会报device offline,这个也坑了我一脸,最后说一句beta使用有风险,升级需谨慎啊~~~~

3
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:227700次
    • 积分:2933
    • 等级:
    • 排名:第11988名
    • 原创:67篇
    • 转载:8篇
    • 译文:0篇
    • 评论:161条
    GitHub
    博客专栏
    最新评论